"""WizardKit: wk module init"""
# vim: sts=2 sw=2 ts=2

from sys import stderr, version_info

from . import cfg
from . import clone
from . import debug
from . import exe
from . import graph
from . import hw
from . import io
from . import kit
from . import log
from . import net
from . import os
from . import repairs
from . import setup
from . import std
from . import ui


# Check env
if version_info < (3, 10):
  # Unsupported
  raise RuntimeError(
    'This package is unsupported on Python '
    f'{version_info.major}.{version_info.minor}'
    )

# Init
try:
  log.start()
except UserWarning as err:
  print(err, file=stderr)


if __name__ == '__main__':
  print("This file is not meant to be called directly.")
